
From: Matt Mackall <mpm@selenic.com>

CONFIG_BASE_SMALL reduce timer list hashes

Signed-off-by: Matt Mackall <mpm@selenic.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/timer.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

diff -puN kernel/timer.c~base-small-shrink-timer-hashes kernel/timer.c
--- 25/kernel/timer.c~base-small-shrink-timer-hashes	2005-02-02 15:31:00.185794040 -0800
+++ 25-akpm/kernel/timer.c	2005-02-02 15:31:00.191793128 -0800
@@ -48,8 +48,9 @@ static void time_interpolator_update(lon
 /*
  * per-CPU timer vector definitions:
  */
-#define TVN_BITS 6
-#define TVR_BITS 8
+
+#define TVN_BITS (CONFIG_BASE_SMALL ? 4 : 6)
+#define TVR_BITS (CONFIG_BASE_SMALL ? 6 : 8)
 #define TVN_SIZE (1 << TVN_BITS)
 #define TVR_SIZE (1 << TVR_BITS)
 #define TVN_MASK (TVN_SIZE - 1)
_
